<?php
	$category = get_the_category();
	echo '<span></span>';
	echo '<a href="'.get_bloginfo('url').'">Главная</a> &raquo; ';
	if(is_attachment()) {
		$metadata = wp_get_attachment_metadata();
		echo 'Просматривают ' . basename($metadata['file']);
	}
	elseif(is_single()) {
		echo get_category_parents($category[0]->cat_ID, TRUE, ' &raquo; ');
		echo get_the_title();
	}
	elseif(is_page()) {
		$parent_id = $post->post_parent;
		
		$pages = array();
		while ($parent_id) {
			$page = get_page($parent_id);
			$pages[] = '<a href="'.get_permalink($page->ID).'" title="">'.get_the_title($page->ID).'</a> &raquo; ';
			$parent_id  = $page->post_parent;
		}
		
		$pages = array_reverse($pages);
		foreach ($pages as $page) { 
			echo $page;
		}
		echo get_the_title();
	}
	elseif(is_category()) {
		echo 'Из архивов рубрик &quot;';
		single_cat_title();
		echo '&quot;';
	}
	elseif(is_tag()) {
		echo 'Из архивов меток &quot;';
		single_tag_title();
		echo '&quot;';
	}
	elseif(is_day()) {
		echo 'Из ежедневных архивов &quot;';
		the_time('F jS, Y');
		echo '&quot;';
	}
	elseif (is_month()) {
		echo 'Из ежедневных архивов &quot;';
		the_time('F, Y');
		echo '&quot;';
	}
	elseif (is_year()) {
		echo 'Из ежедневных архивов &quot;';
		the_time('Y');
		echo '&quot;';
	}
	elseif(is_404()) {
		echo 'Вы только что нашли mr.404';
	}
	elseif(is_search()) {
		echo 'Вы искали &quot;';
		the_search_query();
		echo '&quot;';
	}
	elseif(is_author()) {
		$author = get_userdata($post->post_author);
		echo 'Автор записей &quot;' . $author->user_login . '&quot;';
	}
?>