<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to simplybiz_comment which is
 * located in the functions.php file.
 *
 * @package WordPress
 * @subpackage SimplyBiz
 */
?>

			<div id="comments">
            	<div class="separator tp"><!-- empty! --></div>
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e( 'Эта запись защищена паролем. Введите пароль, чтобы просмотреть комментарии.', 'simplybiz' ); ?></p>
                <div class="separator bm"><!-- empty! --></div>
			</div><!-- #comments -->
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<?php if ( have_comments() ) : ?>
			<h3 id="comments-title"><?php
			printf( _n( '1 комментарий', 'Комментариев: %1$s', get_comments_number(), 'simplybiz' ),
			number_format_i18n( get_comments_number() ), get_the_title() );
			?></h3>

			<ol class="commentlist">
				<?php
					/* Loop through and list the comments. Tell wp_list_comments()
					 * to use simplybiz_comment() to format the comments.
					 * See simplybiz_comment() in simplybiz/functions.php for more.
					 */
					wp_list_comments( array( 'callback' => 'simplybiz_comment' ) );
				?>
			</ol>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Старые', 'simplybiz' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Новые <span class="meta-nav">&rarr;</span>', 'simplybiz' ) ); ?></div>
			</div><!-- .navigation -->
<?php endif; // check for comment navigation ?>

<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() ) :
?>
	<p class="nocomments"><?php _e( 'Обсуждение закрыто.', 'simplybiz' ); ?></p>
<?php else: ?>
	<p class="nocomments"><?php _e( 'Здесь по прежнему пусто.', 'simplybiz' ); ?>sas</p>
<?php endif; // end ! comments_open() ?>
<?php endif; // end have_comments() ?>
<div class="separator bm"><!-- empty! --></div>
</div><!-- #comments -->
<?php if ( comments_open() ) : ?>
<?php include("comment_form.php"); ?>
<?php endif; ?>
