<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content
 * after.
 *
 * @package WordPress
 * @subpackage SimplyBiz
 */
?>
	<?php if(!is_home() || !is_front_page()) : ?>
	</div><!-- #main -->
	<?php endif; ?>
	<div id="footer" role="contentinfo">
		<div id="colophon">
			<div id="site-generator" class="clearfix">
                <span class="sp1"><?php echo "&copy; " . date('Y'); ?> &mdash; Powered by <a href="<?php echo esc_url( __('http://wordpress.org/', 'simplybiz') ); ?>" title="<?php esc_attr_e('Semantic Personal Publishing Platform', 'simplybiz'); ?>" rel="generator">Wordpress</a> and <a href="<?php echo esc_url( __('http://wpcrunchy.com/', 'simplybiz') ); ?>" title="<?php esc_attr_e('Free Premium Wordpress Themes', 'simplybiz'); ?>" rel="generator">Wpcrunchy</a></span>
                <span class="sp2">Русские <a href="http://hostenko.com/themes">WordPress темы</a> — <a href="http://hostenko.com">Hostenko</a><a href="http://www.basketballjobs.org" target="_blank"></a><a href="http://www.datetoronto.ca" target="_blank"></a><a href="http://www.www.datevancouver.ca" target="_blank"></a><a href="http://www.conciergejobs.net" target="_blank"></a></span>
			</div><!-- #site-generator -->
		</div><!-- #colophon -->
	</div><!-- #footer -->
</div><!-- #wrapper -->
<?php
	/* Insert custom footer script - via theme option
	 */
	if(get_option("simplybiz_enable_footercode") <> "") {
		echo get_option("simplybiz_footercode") . "\n";
	}
	/* Always have wp_footer() just before the closing </body>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to reference JavaScript files.
	 */
	wp_footer();
?>
