<?php
/**
 * Template Name: Portfolio
 
 * The template for displaying the portfolio.
 *
 * @package WordPress
 * @subpackage SimplyBiz
 */

get_header(); ?>

		<div id="container" class="fullwidth_page">
			<div id="content" role="main">
            	<div id="portfolio_page" class="clearfix">
					<?php $clear = 1;
                    $loop = new WP_Query(array('post_type' => 'portfolio', 'posts_per_page' => 12)); 
                    while ( $loop->have_posts() ) : $loop->the_post();
					$custom = get_post_custom($post->ID);
					$portfolio_image_link = $custom["portfolio_image_link"][0]; ?>
                    <div class="item">
                    	<h2 class="entry-title"><?php the_title(); ?></h2>
                        <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' ); ?>
                        <img src="<?php bloginfo("template_directory"); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=280&h=120&zc=1" border="0" />
                        <div class="entry-content">
							<?php the_content(); ?>
                            <?php if($portfolio_image_link) :?>
                            <div class="continue_reading_link"><a href="<?php echo $portfolio_image_link; ?>" class="css3_a">Посетить</a></div>
                            <?php endif; ?>
						</div>
                    </div>
                    <?php
					if($clear == 3) { echo '<div class="clear"></div>'; } else { $clear++; }
					endwhile; ?>
                </div>
			</div><!-- #content -->
		</div><!-- #container -->
        
<?php get_footer(); ?>

