<?php
/**
 * Contains all simplybiz custom widget.
 *
 * 1.
 * SimplyBiz site and social subscription
 */
class simplybiz_widget_subscription {
	function show_simplybiz_widget_subscription() {
		$settings = get_option( 'subscription_sidebar_widget' );
		$rss = $settings['rss'] <> "" ? $settings['rss'] : get_bloginfo("rss2_url");
		$email = $settings['email'] <> "" ? $settings['email'] : "javascript:alert('Not yet configure');";
		$twitter = $settings['twitter'] <> "" ? $settings['twitter'] : "http://twitter.com";
		$facebook = $settings['facebook'] <> "" ? $settings['facebook'] : "http://facebook.com";
	?>
    	<li id="site_social_subscription" class="widget-container">
			<div class="widget-content">
            	<?php if($settings['is_sRSS'] == "true") : ?>
            	<div class="subscription_link clearfix">
                	<img src="<?php bloginfo('template_directory'); ?>/library/images/sRSS.png" border="0" />
                    <span><a href="<?php echo $rss; ?>">Лента новостей</a></span>
                </div>
                <?php endif; ?>
                
                <?php if($settings['is_sEmail'] == "true") : ?>
                <div class="subscription_link clearfix">
                	<img src="<?php bloginfo('template_directory'); ?>/library/images/sEmail.png" border="0" />
                    <span><a href="<?php echo $email; ?>">Подписаться</a></span>
                </div>
                <?php endif; ?>
                
                <?php if($settings['is_sTwitter'] == "true") : ?>
                <div class="subscription_link clearfix">
                	<img src="<?php bloginfo('template_directory'); ?>/library/images/sTwitter.png" border="0" />
                    <span><a href="<?php echo $twitter; ?>">Twitter</a></span>
                </div>
                <?php endif; ?>
                
                <?php if($settings['is_sFacebook'] == "true") : ?>
                <div class="subscription_link clearfix">
                	<img src="<?php bloginfo('template_directory'); ?>/library/images/sFacebook.png" border="0" />
                    <span><a href="<?php echo $facebook; ?>">Facebook</a></span>
                </div>
                <?php endif; ?>
			</div>
		</li>
    <?php
	}
	
	function simplybiz_widget_subscription_control() {
		$settings = get_option( 'subscription_sidebar_widget' );
	
		if( isset( $_POST[ 'subscription_sidebar_widget' ] ) ) {
			$settings[ 'rss' ] = stripslashes( $_POST[ 'rss' ] );
			$settings[ 'email' ] = stripslashes( $_POST[ 'email' ] );
			$settings[ 'twitter' ] = stripslashes( $_POST[ 'twitter' ] );
			$settings[ 'facebook' ] = stripslashes( $_POST[ 'facebook' ] );
			$settings[ 'is_sRSS' ] = stripslashes( $_POST[ 'is_sRSS' ] );
			$settings[ 'is_sEmail' ] = stripslashes( $_POST[ 'is_sEmail' ] );
			$settings[ 'is_sTwitter' ] = stripslashes( $_POST[ 'is_sTwitter' ] );
			$settings[ 'is_sFacebook' ] = stripslashes( $_POST[ 'is_sFacebook' ] );
			update_option( 'subscription_sidebar_widget', $settings );
		}
		$settings[ 'is_sRSS' ] = $settings['is_sRSS'] <> "" ? $settings['is_sRSS'] : 1;
		$settings[ 'is_sEmail' ] = $settings['is_sEmail'] <> "" ? $settings['is_sEmail'] : 1;
		$settings[ 'is_sTwitter' ] = $settings['is_sTwitter'] <> "" ? $settings['is_sTwitter'] : 1;
		$settings[ 'is_sFacebook' ] = $settings['is_sFacebook'] <> "" ? $settings['is_sFacebook'] : 1;
	?>
		<p>
        	<!-- =rss -->
			<label for="is_sRSS">Отображать ссылку для ленты новостей:</label>
            <select id="is_sRSS" name="is_sRSS">
            	<?php
				 $opt = array("false","true");
				 for($i = 1; $i >= 0; $i--) : ?>
            	<option <?php if($settings[ 'is_sRSS' ] == $opt[$i]){ echo "selected"; } ?> value="<?php echo $opt[$i]; ?>"><?php echo $opt[$i]; ?></option>
                <?php endfor; ?>
            </select><br/>
            <label for="rss">Источник ленты новостей:</label><br />
            <input type="text" value="<?php echo $settings[ 'rss' ]; ?>" name="rss" id="rss" /><br /><br />
            
            <!-- =email -->
            <label for="is_sEmail">Отображать ссылку для подписки:</label>
            <select id="is_sEmail" name="is_sEmail">
            	<?php
				 $opt = array("false","true");
				 for($i = 1; $i >= 0; $i--) : ?>
            	<option <?php if($settings[ 'is_sEmail' ] == $opt[$i]){ echo "selected"; } ?> value="<?php echo $opt[$i]; ?>"><?php echo $opt[$i]; ?></option>
                <?php endfor; ?>
            </select><br/>
            <label for="email">Адрес для Email-подписки:</label><br />
            <input type="text" value="<?php echo $settings[ 'email' ]; ?>" name="email" id="email" /><br /><br />
            
            <!-- =twitter -->
            <label for="is_sTwitter">Отображать Twitter ссылку:</label>
            <select id="is_sTwitter" name="is_sTwitter">
            	<?php
				 $opt = array("false","true");
				 for($i = 1; $i >= 0; $i--) : ?>
            	<option <?php if($settings[ 'is_sTwitter' ] == $opt[$i]){ echo "selected"; } ?> value="<?php echo $opt[$i]; ?>"><?php echo $opt[$i]; ?></option>
                <?php endfor; ?>
            </select><br/>
            <label for="twitter">Полный адрес Twitter профиля:</label><br />
            <input type="text" value="<?php echo $settings[ 'twitter' ]; ?>" name="twitter" id="twitter" /><br /><br />
            
            <!-- =facebook -->
            <label for="is_sFacebook">Отображать Facebook ссылку:</label>
            <select id="is_sFacebook" name="is_sFacebook">
            	<?php
				 $opt = array("false","true");
				 for($i = 1; $i >= 0; $i--) : ?>
            	<option <?php if($settings[ 'is_sFacebook' ] == $opt[$i]){ echo "selected"; } ?> value="<?php echo $opt[$i]; ?>"><?php echo $opt[$i]; ?></option>
                <?php endfor; ?>
            </select><br/>
            <label for="facebook">Полный адрес Facebook профиля:</label><br />
            <input type="text" value="<?php echo $settings[ 'facebook' ]; ?>" name="facebook" id="facebook" />
		</p>
		<input type="hidden" id="subscription_sidebar_widget" name="subscription_sidebar_widget" value="1" />
	<?php
	}
}
if(function_exists('register_sidebar_widget')){ register_sidebar_widget('Подписки', array('simplybiz_widget_subscription', 'show_simplybiz_widget_subscription')); }
if (function_exists('register_widget_control')){ register_widget_control( 'Подписки', array('simplybiz_widget_subscription', 'simplybiz_widget_subscription_control'), 300, 200 ); }


/**
 * 2.
 * SimplyBiz Video Embed
 */
class simplybiz_widget_video_embed {
	function show_simplybiz_widget_video_embed() {
		$settings = get_option( 'video_embed_sidebar_widget' );
	?>
    	<li id="video_embed" class="widget-container">
        	<?php if($settings['video_embed_title'] <> "") : ?>
            	<h3 class="widget-title"><?php echo stripslashes($settings['video_embed_title']); ?></h3>
			<?php endif; ?>
			<div class="widget-content">
            <?php
            	$embed = stripslashes($settings['video_embed']);
				$embed = $embed <> "" ? $embed : "Код для вставки видео не обнаружен!";
				$embed = preg_replace('/width="(.*?)"/', 'width="264"', $embed);
				$embed = preg_replace('/height="(.*?)"/', 'width="200"', $embed);
				
				echo $embed;
			?>
			</div>
		</li>
    <?php
	}
	
	function simplybiz_widget_video_embed_control() {
		$settings = get_option( 'video_embed_sidebar_widget' );
	
		if( isset( $_POST[ 'video_embed_sidebar_widget' ] ) ) {
			$settings[ 'video_embed_title' ] = stripslashes( $_POST[ 'video_embed_title' ] );
			$settings[ 'video_embed' ] = stripslashes( $_POST[ 'video_embed' ] );
			update_option( 'video_embed_sidebar_widget', $settings );
		}
	?>
		<p>
        	<label for="video_embed_title">Заголовок:</label><br />
            <input type="text" id="video_embed_title" name="video_embed_title" value="<?php echo $settings['video_embed_title']; ?>" /><br/><br/>
			<label for="video_embed">Код для вставки видео из внешнего источника:</label><br />
            <textarea id="video_embed" name="video_embed" cols="30" rows="10"><?php echo $settings['video_embed']; ?></textarea>
		</p>
		<input type="hidden" id="video_embed_sidebar_widget" name="video_embed_sidebar_widget" value="1" />
	<?php
	}
}
if(function_exists('register_sidebar_widget')){ register_sidebar_widget('Видео', array('simplybiz_widget_video_embed', 'show_simplybiz_widget_video_embed')); }
if (function_exists('register_widget_control')){ register_widget_control( 'Видео', array('simplybiz_widget_video_embed', 'simplybiz_widget_video_embed_control'), 300, 200 ); }


/**
 * 3.
 * SimplyBiz Search (Replace the default)
 */
class simplybiz_widget_search {
	function show_simplybiz_widget_search() {
		$settings = get_option( 'search_sidebar_widget' );
	?>
    	<li id="widget_search" class="widget-container">
        	<?php if($settings['search_title'] <> "") : ?>
            	<h3 class="widget-title"><?php echo stripslashes($settings['search_title']); ?></h3>
			<?php endif; ?>
			<div class="widget-content">
            	<form id="searchform" method="get" action="<?php bloginfo('url'); ?>"> 
					<input type="text" name="s" id="s" class="search_term <?php if($settings['has_button'] == "false") { echo "no_button"; } ?>" value="Поиск..." onblur="if (this.value == '') {this.value = 'Поиск...';}"  onfocus="if (this.value == 'Поиск...') {this.value = '';}" />
                    <?php if($settings['has_button'] == "true") : ?>
                    <input type="submit" class="search_button" value="Найти" />
                    <?php endif; ?>
				</form>
			</div>
		</li>
    <?php
	}
	
	function simplybiz_widget_search_control() {
		$settings = get_option( 'search_sidebar_widget' );
	
		if( isset( $_POST[ 'search_sidebar_widget' ] ) ) {
			$settings[ 'search_title' ] = stripslashes( $_POST[ 'search_title' ] );
			$settings[ 'has_button' ] = stripslashes( $_POST[ 'has_button' ] );
			update_option( 'search_sidebar_widget', $settings );
		}
	?>
		<p>
        	<label for="search_title">Заголовок:</label><br />
            <input type="text" id="search_title" name="search_title" value="<?php echo $settings['search_title']; ?>" /><br/><br/>
			<label for="has_button">Показывать кнопку поиска:</label>
            <select id="has_button" name="has_button">
            	<?php
				 $opt = array("false","true");
				 for($i = 1; $i >= 0; $i--) : ?>
            	<option <?php if($settings[ 'has_button' ] == $opt[$i]){ echo "selected"; } ?> value="<?php echo $opt[$i]; ?>"><?php echo $opt[$i]; ?></option>
                <?php endfor; ?>
            </select>
		</p>
		<input type="hidden" id="search_sidebar_widget" name="search_sidebar_widget" value="1" />
	<?php
	}
}
if(function_exists('register_sidebar_widget')){ register_sidebar_widget('Поиск', array('simplybiz_widget_search', 'show_simplybiz_widget_search')); }
if (function_exists('register_widget_control')){ register_widget_control( 'Поиск', array('simplybiz_widget_search', 'simplybiz_widget_search_control'), 300, 200 ); }

?>