<?php
/**
 * Template Name: Blog Page
 *
 *
 * @package WordPress
 * @subpackage SimplyBiz
 */

get_header(); ?>

		<div id="container">
			<div id="content" role="main">

<?php
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args=array( 'paged' => $paged );
	query_posts($args);
	if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'simplybiz' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2><!-- .entry-title -->
            
					<div class="entry-meta clearfix"><?php simplybiz_post_meta(); ?></div><!-- .entry-meta -->

                    <div class="entry-summary clearfix">
					<?php if(has_post_thumbnail( $post->ID )) :
                        $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' );
                    ?>
                        <img class="alignleft" src="<?php bloginfo("template_directory"); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=150&h=150&zc=1" border="0" />
                        <?php 
                            endif;
                            the_excerpt( __( 'Читать далее <span class="meta-nav">&rarr;</span>', 'simplybiz' ) ); ?>
                    </div><!-- .entry-summary -->
					<div class="entry-sep"><!-- !empty --></div>
				</div><!-- #post-## -->

<?php endwhile; // end of the loop. ?>
				<?php /* Display navigation to next/previous pages when applicable */ ?>
<?php if (  $wp_query->max_num_pages > 1 ) : 
	if(function_exists(wp_pagenavi)) : wp_pagenavi(); else : ?>
				<div id="nav-below" class="navigation clearfix">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Предыдущие записи', 'simplybiz' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( 'Следующие записи <span class="meta-nav">&rarr;</span>', 'simplybiz' ) ); ?></div>
				</div><!-- #nav-below -->
<?php endif; endif; ?>

			</div><!-- #content -->
		</div><!-- #container -->

<?php 
		wp_reset_query(); // fix certain conditional tags
		
get_sidebar(); ?>
<?php get_footer(); ?>
