<?php

	/*	DEFINE
	---------------------------
	*/
	$categories = get_categories('hide_empty=0');
	$allcaregory = array();
	foreach ($categories as $category) {
		$allcaregory[$category->cat_ID] = $category->cat_name;
	}
	
	$pages = get_pages(); 
	$allpage = array();
	foreach ($pages as $page) {
		$allpage[$page->ID] = $page->post_title;
	}
		
	/*	GENERAL SETTINGS
	---------------------------
	*/
	$options[] = array(	"id" => "general", "type" => "container");
		
		$options[] = array(	"name" => "Использовать свою таблицу стилей", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_customcss",
									"description" => "Файл таблицы стилей .css находится в папке custom вашей темы",
									"options" => array("Да//on", "Нет//off"),
									"std" => "off");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Логотип", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "text", 
									"id" => $pre . "_customlogo",
									"description" => "Укажите полный адрес логотипа, например http://вашсайт.com/logo.png");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
	$options[] = array(	"type" => "container_end");
	
	
	
	/*	SEO SETTINGS
	---------------------------
	*/
	$options[] = array(	"id" => "seo", "type" => "container");
		
		$options[] = array(	"name" => "Использовать канонические URLы", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_canonical",
									"description" => "Добавьте канонические URLы, чтобы предотвратить дублирование контента на сайте",
									"options" => array("Да//on", "Нет//off"),
									"std" => "off");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Meta Описание", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "textarea", 
									"id" => $pre . "_meta_description",
									"description" => "Используйте мета описание, чтобы предоставить поисковым системам полную информацию про все ваши темы на сайте. Это касается только главной страницы.");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Meta Ключевые слова (через запятую)", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "text", 
									"id" => $pre . "_meta_keywords",
									"description" => "Используйте ключевые слова, чтобы предоставить поисковым системам полную информацию про ваш сайт. Это касается только главной страницы.");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Meta Автор", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "text", 
									"id" => $pre . "_meta_author",
									"description" => "Укажите полное имя автора в том случае, если информация публикуется только от одного лица. Это касается только главной страницы.");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
	$options[] = array(	"type" => "container_end");
	
	
	
	/*	Layout SETTINGS
	---------------------------
	*/
	$options[] = array(	"id" => "layout", "type" => "container");

		$options[] = array(	"name" => "Включить слайдер на Главной странице", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_featured_slider",
									"description" => "Вы можете включить Слайдер с изображениями на Главной странице сайта.",
									"options" => array("Да//on", "Нет//off"),
									"std" => "off");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Использовать информационные блоки под слайдером", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_display_services",
									"description" => "Вы можете включить три дополнительных текстовых блока под Слайдером на Главной странице",
									"options" => array("Да//on", "Нет//off"),
									"std" => "off");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Блок 1", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select", 
									"id" => $pre . "_service_page1",
									"description" => "Укажите Страницу, из которой будет браться информация для Блока 1",
									"options" => $allpage);
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Блок 2", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select", 
									"id" => $pre . "_service_page2",
									"description" => "Укажите Страницу, из которой будет браться информация для Блока 2",
									"options" => $allpage);
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Блок 3", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select", 
									"id" => $pre . "_service_page3",
									"description" => "Укажите Страницу, из которой будет браться информация для Блока 3",
									"options" => $allpage);
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
	$options[] = array(	"type" => "container_end");	
	
	
	/*	INTEGRATION SETTINGS
	---------------------------
	*/
	$options[] = array(	"id" => "integration", "type" => "container");
		
		$options[] = array(	"name" => "Дополнительный код в Шапке", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_enable_headercode",
									"description" => "Вы можете использовать дополнительные скрипты в коде Шапки.",
									"options" => array("Да//enable", "Нет//disable"),
									"std" => "disable");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Код в Шапке", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "textarea", 
									"id" => $pre . "_headercode",
									"description" => "Код, которые вы впишете, будет использоваться в секции head на каждой странице сайте. Это удобно, если нужно добавить код javascript или css для всех страниц.");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Дополнительный код в Подвале", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "select-switch", 
									"id" => $pre . "_enable_footercode",
									"description" => "Вы можете использовать дополнительные скрипты в коде Подвала.",
									"options" => array("Да//enable", "Нет//disable"),
									"std" => "disable");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
		$options[] = array(	"name" => "Код в Подвале", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "textarea", 
									"id" => $pre . "_footercode",
									"description" => "Код, которые вы впишете, будет использоваться в секции foot на каждой странице сайте. Это удобно, если нужно добавить google analytics tracking код.");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
	$options[] = array(	"type" => "container_end");
	
	
	
	/*	SUPPORT SETTINGS
	---------------------------
	*/
	$options[] = array(	"id" => "docs", "type" => "container");
		
		$options[] = array(	"name" => "Support Documentation", "type" => "section");
			$options[] = array(	"type" => "content");
				$options[] = array(	"type" => "support", "name" => "readme");
			$options[] = array(	"type" => "content_end");	
		$options[] = array(	"type" => "section_end"); // end section
		
	$options[] = array(	"type" => "container_end");
	
?>